Page MenuHomePhabricator

Watchlist links with "&days=0" give an incorrect display
Closed, ResolvedPublic

Description

Change rMWb747307a2002: WLFilters: Live update and View newest caused bookmarked watchlist links with a "days=0" URL parameter to interpret that as meaning 0 days rather than "all available days" as it previously did. That's an annoying breaking change, but easy enough to work around.

What caused me to waste a half hour this morning was the fact that rMWb747307a2002: WLFilters: Live update and View newest did not update SpecialWatchlist.php lines 611-615 to match, so the screen still says "Below are the last 0 changes in the last 720 hours, as of 27 September 2017, 11:48" despite it actually covering 0 hours.

Details

Related Gerrit Patches:

Event Timeline

Anomie created this task.Sep 27 2017, 11:57 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 27 2017, 11:57 AM

Change 380953 had a related patch set uploaded (by Anomie; owner: Anomie):
[mediawiki/core@master] Fix watchlist "in the last X hours" display

https://gerrit.wikimedia.org/r/380953

Change 380953 merged by jenkins-bot:
[mediawiki/core@master] Fix watchlist "in the last X hours" display

https://gerrit.wikimedia.org/r/380953

Change 380968 had a related patch set uploaded (by Anomie; owner: Anomie):
[mediawiki/core@wmf/1.31.0-wmf.1] Fix watchlist "in the last X hours" display

https://gerrit.wikimedia.org/r/380968

Anomie closed this task as Resolved.Sep 27 2017, 1:35 PM
Anomie claimed this task.

Fixed, and being backported to 1.31.0-wmf.1.

Change 380968 merged by jenkins-bot:
[mediawiki/core@wmf/1.31.0-wmf.1] Fix watchlist "in the last X hours" display

https://gerrit.wikimedia.org/r/380968

Restricted Application added a project: Growth-Team. · View Herald TranscriptJul 11 2018, 9:50 AM